Uses of Interface
dev.tachyonmcp.api.server.ServerFeature.Request
Packages that use ServerFeature.Request
Package
Description
Completion feature types and function interfaces for argument autocomplete.
Prompt feature types and function interfaces.
Resource feature types and function interfaces.
Tool feature types and handler interfaces.
-
Uses of ServerFeature.Request in dev.tachyonmcp.api.server.features.completions
Subinterfaces of ServerFeature.Request in dev.tachyonmcp.api.server.features.completionsModifier and TypeInterfaceDescriptioninterfaceAcompletion/completerequest: the argument being completed and any previously-resolved sibling arguments supplied as context. -
Uses of ServerFeature.Request in dev.tachyonmcp.api.server.features.prompts
Classes in dev.tachyonmcp.api.server.features.prompts that implement ServerFeature.RequestModifier and TypeClassDescriptionfinal recordRequest parameters for a prompt invocation. -
Uses of ServerFeature.Request in dev.tachyonmcp.api.server.features.resources
Subinterfaces of ServerFeature.Request in dev.tachyonmcp.api.server.features.resourcesModifier and TypeInterfaceDescriptioninterfaceRequest passed to a resource function when a client invokesresources/read. -
Uses of ServerFeature.Request in dev.tachyonmcp.api.server.features.tools
Subinterfaces of ServerFeature.Request in dev.tachyonmcp.api.server.features.toolsModifier and TypeInterfaceDescriptioninterfaceAn incoming tool call request with the tool name, arguments, and metadata.